DtDbLoad(library call)

NAME
DtDbLoad — load actions and data types database

SYNOPSIS

#include &<Dt/Action.h>
void DtDbLoad(void)

DESCRIPTION

The DtDbLoad function loads the actions and data types database into the application. When the function returns, the database has been loaded.

An environment variable determines the set of directories to be searched. The DtDbLoad function loads all actions and data types defined in files with a .dt suffix located in these directories.

The directory search path is based on the value of the DTDATABASESEARCHPATH environment variable and internal defaults. DTDATABASESEARCHPATH contains a comma-separated list of directories in [host:]/path format. The application must call DtDbLoad before calling any of the routines that query either the action or data type databases. If called multiple times, the old databases are freed before the new ones are created.

RETURN VALUE

The DtDbLoad function returns no value.

APPLICATION USAGE

If this function is used in a long-lived application, the application must dynamically reload the databases when they are modified. To do this, the client must register to receive notification whenever the actions and data types database needs to be modified. It is up to the application to recall DtDbLoad after receiving notification. This is done with a call to DtDbReloadNotify(3).

If errors are encountered when reading the database files, error messages are written to the user's errorlog file ($HOME/.dt/errorlog). Records containing errors are not incorporated into the internal database.

SEE ALSO

Dt/Action.h - DtAction(5), DtDbReloadNotify(3), dtdtfile(4).